package modules::20_arbitrary_proc;

require taghelpers;

sub new
{
    my $class = shift;
    my $self = {};
    bless $self, $class;
    return $self;
}

sub getName
{
    return "arbitrary process Check";
}

sub parseTags
{
	my ($self,$sparser) = @_;

	my %tags;
	return %tags;
}

sub generateNagConfDef
{
	my ($self,%tags) = @_;
	my $s = "";

	if ($tags{'check.mon'} =~ /arbitrary_proc\(([^\|]+)\|([^\)]+)\)/)
	{
		my @tokens = split(/,/,$tags{'check.mon'});
		foreach my $token (@tokens)
		{
			if ($token =~ /^arbitrary_proc\(([^\|]+)\|([^\)]+)\)$/)
			{
				$s .= "#active: $tags{'hostname'}:$&\n";
			}
		}
	}

	return $s;
}

sub isCheckMonEntryValid
{
	my ($self,$s) = @_;

	return $s =~ /^arbitrary_proc\(([^\|]+)\|([^\)]+)\)$/;
}

1;
