package modules::20_clamav_patterns;

require taghelpers;

sub new
{
    my $class = shift;
    my $self = {};
    bless $self, $class;
    return $self;
}

sub getName
{
    return "CLAMAV_PATTERNS Check";
}

sub parseTags
{
	my ($self,$sparser) = @_;

	my %tags;
	return %tags;
}

sub generateNagConfDef
{
	my ($self,%tags) = @_;
	my $s = "";

	if ($tags{'check.mon'} =~ /clamav_patterns\b/)
	{
		my @tokens = split(/,/,$tags{'check.mon'});
		foreach my $token (@tokens)
		{
			$token =~ s/ //g;
			if ($token =~ /^clamav_patterns$/)
			{
				$s .= "#active: $tags{'hostname'}:$&\n";
			}
		}
	}

	return $s;
}

sub isCheckMonEntryValid
{
	my ($self,$s) = @_;

	return $s =~ /^clamav_patterns$/;
}

1;
