package modules::20_dnsbl;

require taghelpers;

sub new
{
    my $class = shift;
    my $self = {};
    bless $self, $class;
    return $self;
}

sub getName
{
    return "dnsbl Check";
}

sub parseTags
{
	my ($self,$sparser) = @_;

	my %tags;
	return %tags;
}

sub generateNagConfDef
{
	my ($self,%tags) = @_;
	my $s = "";

	if ($tags{'check.mon'} =~ /dnsbl/)
	{
		my @tokens = split(/,/,$tags{'check.mon'});
		foreach my $token (@tokens)
		{
			$token =~ s/ //;
			if ($token =~ /^dnsbl(\(([0-9\.]+)\))?$/)
			{
				if ((defined $2) && ($2 != ""))
				{
					$s .= "#active: $tags{'hostname'}:dnsbl($2)\n";
				}
				else
				{
					$s .= "#active: $tags{'hostname'}:dnsbl($tags{'ip'})\n";
				}
			}
		}
	}

	return $s;
}

sub isCheckMonEntryValid
{
	my ($self,$s) = @_;

	return $s =~ /^dnsbl(\([0-9\.]+\))?$/;
}

1;
