package modules::20_sar;

require taghelpers;

sub new
{
    my $class = shift;
    my $self = {};
    bless $self, $class;
    return $self;
}

sub getName
{
    return "SAR Check";
}

sub parseTags
{
	my ($self,$sparser) = @_;

	my %tags;
	return %tags;
}

sub generateNagConfDef
{
	my ($self,%tags) = @_;
	my $s = "";

	if ($tags{'check.mon'} =~ /sar\b/)
	{
		my @tokens = split(/,/,$tags{'check.mon'});
		foreach my $token (@tokens)
		{
			$token =~ s/ //g;
			if ($token =~ /^sar$/)
			{
                                foreach my $i (qw( I R W b c q r w ))
                                {
                                        $s .= "#active: $tags{'hostname'}:$&($i)\n";
                                }
			}
		}
	}

	return $s;
}

sub isCheckMonEntryValid
{
	my ($self,$s) = @_;

	return $s =~ /^sar$/;
}

1;
